%define name	rpmconstant
%define version	0.1.3

%define major		0
%define libname		%mklibname %name %major
%define develname	%mklibname %name -d

Summary: A library to bind RPM constant values
Name: %{name}
Version: %{version}
Release: %mkrel 5
Source0: http://rpm4.zarb.org/download/%{name}-%{version}.tar.gz
Patch0: rpmconstant-fix-build-rpm46.patch
License: LGPLv2.1
Group: Development/C
Url: http://rpm.zarb.org/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: rpm-devel

%description
This library provides basic functions to map internal RPM constant values
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

%package -n %libname
Summary: A library to bind rpm constant
Group: Development/C
Provides: lib%{name} = %version-%release

%description -n %libname
This library provides basics functions to map internal rpm constant value
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

%package -n %develname
Summary: Development files from librpmconstant
Group: Development/C
Provides: %name-devel = %version-%release
Provides: lib%{name}-devel = %version-%release
Requires: %libname = %version-%release
Obsoletes: %mklibname rpmconstant 0 -d

%description -n %develname
This library provides basics functions to map internal rpm constant value
with their name. This is useful for perl/python or other language which has
binding over rpmlib.

You need this package to build applications using librpmconstant.

%prep
%setup -q
%patch0 -p1 -b .rpm46

%build
mv rpmconstanttbl.c rpmconstanttbl.c.old # Ensure this file is regenated
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -n %libname -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %libname -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%_bindir/%name

%files -n %libname
%defattr(-,root,root)
%_libdir/lib%name.so.*

%files -n %develname
%defattr(-,root,root)
%doc constant.c AUTHORS ChangeLog README
%_includedir/%name/%name.h
%_libdir/lib%name.so
%_libdir/lib%name.a
%_libdir/lib%name.la



%changelog
* Tue Jan 20 2009 Pixel <pixel@mandriva.com> 0.1.3-5mdv2009.1
+ Revision: 331803
- adapt to librpm4.6

* Fri Jul 11 2008 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-4mdv2009.0
+ Revision: 233632
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Oden Eriksson <oeriksson@mandriva.org>
    - rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-1mdv2008.0
+ Revision: 74995
- 0.1.3

  + Adam Williamson <awilliamson@mandriva.com>
    - rebuild for 2008
    - spec clean
    - new devel policy


* Sun Jun 11 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.2-1mdv2007.0
- 0.1.2

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-4mdk
- rebuild for rpm

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-3mdk
- cleanup changelog suckage

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-1mdk
- 0.1.1
- update url

* Tue May 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.0.5-2mdk
- rebuild for rpm4.4

* Sat Apr 16 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.5-1mdk
- 0.0.5

* Sun Mar 06 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.4-2mdk
- use %%mkrel

* Wed Feb 16 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.4-1mdk
- 0.0.4

* Fri Feb 11 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.3-1mdk
- 0.0.3

* Mon Feb 07 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.2-1mdk
- 0.0.2

* Sun Feb 06 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.0.1-1mdk
- First mdk spec

